Skip to main content
POST
/
api
/
v2
/
workspaces
/
current
/
whitelabel-domain
Set the agency domain for the workspace
curl --request POST \
  --url https://api.instantly.ai/api/v2/workspaces/current/whitelabel-domain \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain": "agency.example.com"
}
'
{
  "id": "019cc043-af79-73db-a904-19add8ce4af2",
  "timestamp_created": "2026-03-05T23:09:47.257Z",
  "timestamp_updated": "2026-03-05T23:09:47.257Z",
  "owner": "019cc043-af79-73db-a904-19ae1f9e23e3",
  "name": "My Workspace",
  "plan_id": "pid_hg_v1",
  "add_unsub_to_block": false,
  "default_opportunity_value": 250,
  "plan_id_leadfinder": "pid_lf_ls_v1",
  "plan_id_verification": {
    "quantity": 5,
    "product_id": "pid_verify_v1_monthly",
    "timestamp_updated": "2024-07-22T05:56:58.667Z"
  },
  "org_logo_url": "https://example.com/logo.png",
  "org_client_domain": "example.com",
  "plan_id_crm": "pid_crm_v1",
  "plan_id_website_visitor": "pid_wvw_v1",
  "plan_id_inbox_placement": "pid_ip_v1"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
domain
string
required

The agency domain to set for the workspace

Example:

"agency.example.com"

Response

The requested Workspace

A workspace entity representing a workspace

id
string<uuid>
required

Unique identifier for the workspace

Example:

"019cc043-af79-73db-a904-19add8ce4af2"

timestamp_created
string<date-time>
required

Timestamp when the workspace was created

Example:

"2026-03-05T23:09:47.257Z"

timestamp_updated
string<date-time>
required

Timestamp when the workspace was last updated

Example:

"2026-03-05T23:09:47.257Z"

owner
string<uuid>
required

User ID of the workspace owner

Example:

"019cc043-af79-73db-a904-19ae1f9e23e3"

name
string
required

Name of the workspace

Example:

"My Workspace"

plan_id
null | string

Plan ID for workspace

Example:

"pid_hg_v1"

add_unsub_to_block
null | boolean

Whether to add unsubscribes to block list

Example:

false

default_opportunity_value
null | number

Default value for opportunities

Example:

250

plan_id_leadfinder
null | string

Plan ID for leadfinder

Example:

"pid_lf_ls_v1"

plan_id_verification
object

Plan ID for verification service

org_logo_url
null | string

URL to workspace logo

Example:

"https://example.com/logo.png"

org_client_domain
null | string

The domain for the white label agency mode

Example:

"example.com"

plan_id_crm
null | string

Plan ID for CRM

Example:

"pid_crm_v1"

plan_id_website_visitor
null | string

Plan ID for website visitor tracking

Example:

"pid_wvw_v1"

plan_id_inbox_placement
null | string

Plan ID for inbox placement

Example:

"pid_ip_v1"